<!DOCTYPE html>

{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>CALCULETTE</title>
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
        <link rel="stylesheet" href="{% static 'style/style.css'%}">
    <link rel="icon" type="image/png" href= "{% static 'images/logo.png' %}"/>
</head>
<body>

<h1>Calculette</h1>

{% include 'menu.html' %}

<form style = "padding: 50px;" method="post"> {% csrf_token %}
<table class="table table-hover ">
    <caption>Calculette editique</caption>
		
        <thead>
            <tr style ="background-color: #337ab7;color: #fff;text-align: left;">
                <th>Composition</th>
                <th>Poids(g)</th>
                <th>prix unitaire</th>
                <th>nombre</th>
            </tr>
        </thead>
		{% for entite in data %}
        <tbody>
            <tr>
                <td class="bg-warning">{{ entite.FORMAT}}</td>
                <td class="bg-warning">{{ entite.POIDS}} g</td>
                <td class="bg-warning">{{entite.PUHT}} € </td>
                <td class="form-group"><input type="number" class="form-control" name ="{{ entite.FORMAT }}"></td>
            </tr>
            <tr>
			{%endfor%}
                <td></td>
                <td></td>
                <td><b>Nombre de plis:</b> 
                 <td class="form-group"><input type="number" class="form-control form-control is-invalid" name="nbPli" required></td>
            <tr>
                <td></td>
                <td></td>
                <td class="bg-success"><b> Total: </b></td>
				<td class="bg-success"><b>{{ total }} € </b></td>

            </tr>
            <tr>
                <td></td>
                <td></td>
                <td class="bg-success"><b> Surtaxe: </b></td>
				<td class="bg-success"><b>{{ surtaxe }} €</b></td>

            </tr>
			<tr>
                <td></td>
                <td></td>
                <td class="bg-success"><b> poids: </b></td>
				<td class="bg-success"><b>{{ poids }} g</b></td>
            </tr>
        </tbody>
    </table>
	
    <button  type="submit" class="btn btn-primary" name="calculer" style='float: right; margin:20px; margin-right: 366px'>
  <i class="bi bi-star-fill"></i> Effectuer le calcule</button>
      </form>

<div style= "margin-top:-40px; margin-left: 50px;" class="alert alert-primary" role="alert">
  <strong>{{reponse}}</strong>
</div>
</body>
</html>